Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  package doclet
  Definition Classes
    doc
-  package html
  Definition Classes
    doc
-  package model
  Definition Classes
    doc
- DocFactory
- DocParser
- Index
- ScaladocAnalyzer
- ScaladocGlobal
- ScaladocGlobalTrait
- ScaladocSyntaxAnalyzer
- Settings
- Uncompilable
- Universe

t

scala.tools.nsc.doc

# Uncompilable 

###

#### trait Uncompilable extends AnyRef

Some glue between DocParser (which reads source files which can't be compiled) and the scaladoc model.

Source
  Uncompilable.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Uncompilable
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract val global: Global
2.  abstract val settings: Settings

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Uncompilable to any2stringadd[Uncompilable] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Uncompilable, B)
   Implicit
     This member is added by an implicit conversion from Uncompilable to ArrowAssoc[Uncompilable] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def comments: collection.immutable.List[(Global.Symbol, Global.DocComment)]
9.  def docDefs(code: String): List[Parsed]
10.  def docPairs(code: String): collection.immutable.List[(Global.Symbol, Global.DocComment)]
11.  def docSymbol(p: Parsed): Global.Symbol
12.  def ensuring(cond: (Uncompilable) ⇒ Boolean, msg: ⇒ Any): Uncompilable
    Implicit
      This member is added by an implicit conversion from Uncompilable to Ensuring[Uncompilable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (Uncompilable) ⇒ Boolean): Uncompilable
    Implicit
      This member is added by an implicit conversion from Uncompilable to Ensuring[Uncompilable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): Uncompilable
    Implicit
      This member is added by an implicit conversion from Uncompilable to Ensuring[Uncompilable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): Uncompilable
    Implicit
      This member is added by an implicit conversion from Uncompilable to Ensuring[Uncompilable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def files: List[File]
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Uncompilable to StringFormat[Uncompilable] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
27.  lazy val pairs: collection.immutable.List[(Global.Symbol, Global.DocComment)]
28.  def symbols: collection.immutable.List[Global.Symbol]
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def templates: Set[Global.Symbol]
31.  def toString(): String
    Definition Classes
      Uncompilable → AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  def →[B](y: B): (Uncompilable, B)
    Implicit
      This member is added by an implicit conversion from Uncompilable to ArrowAssoc[Uncompilable] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Uncompilable to any2stringadd[Uncompilable]

### Inherited by implicit conversion StringFormat from Uncompilable to StringFormat[Uncompilable]

### Inherited by implicit conversion Ensuring from Uncompilable to Ensuring[Uncompilable]

### Inherited by implicit conversion ArrowAssoc from Uncompilable to ArrowAssoc[Uncompilable]

### Ungrouped